Skip to content
Get started

Delete Product List

DELETE/api/v2/public/stores/{store_number}/productlists

Deletes a product list from a store. It can also archive the list, or remove only the header, depending on the request.

Path ParametersExpand Collapse
store_number: string
Query ParametersExpand Collapse
product_list_id: number

The product list identifier to delete.

formatint64
is_archived: optional boolean

When true, archives the product list instead of permanently deleting it.

is_delete_header: optional boolean

When true, deletes only the product list header (and its lines).

Header ParametersExpand Collapse
"Accept-Language": optional string
api_key: optional string

Delete Product List

curl https://api.colleqtive.net/api/v2/public/stores/$STORE_NUMBER/productlists \
    -X DELETE \
    -H "Authorization: $COLLEQTIVE_BEARER_TOKEN"
true
{
  "code": 401,
  "status": "error",
  "message": "Authentication failed.",
  "error": "unauthorized",
  "error_description": "Authentication failed."
}
{
  "code": 500,
  "status": "fail",
  "message": "The request could not be processed.",
  "error": "internal_error",
  "error_description": "The request could not be processed."
}
Returns Examples
true
{
  "code": 401,
  "status": "error",
  "message": "Authentication failed.",
  "error": "unauthorized",
  "error_description": "Authentication failed."
}
{
  "code": 500,
  "status": "fail",
  "message": "The request could not be processed.",
  "error": "internal_error",
  "error_description": "The request could not be processed."
}